﻿using System;
using System.Collections.Generic;

namespace igGridSample.Models
{
    public class Product
    {
        public Product()
        {
            this.Histories = new List<ProductHistory>();
            this.Extras = new List<ProductExtraSomething>();
        }
        public int ProductID { get; set; }
        public string Name { get; set; }
        public string ProductNumber { get; set; }
        public DateTime ReleaseDate { get; set; }
        public string ButtonColumn { get; set; }

        public IList<ProductHistory> Histories { get; set; }

        public IList<ProductExtraSomething> Extras { get; set; }
    }

    public class ProductHistory
    {
        public int ProductID { get; set; }
        public string Something { get; set; }
    }

    public class ProductExtraSomething
    {
        //public int ProductNewID { get; set; }
        public string SomethingNew { get; set; }
    }
}